using System;
using System.Windows;
using System.Windows.Threading;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents.Fixed;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;

namespace PdfViewerDemo
{
    /// <summary>
    ///     Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.DataContext = new MyModel("PdfViewerDemo;component/test.pdf");
            InitializeComponent();
        }


    }

    public class MyModel : ViewModelBase
    {
        private string pdfFileName;

        public MyModel(string pdfFileName)
        {
            PdfFileName = pdfFileName;
        }

        public string PdfFileName
        {
            get => pdfFileName;
            set
            {
                pdfFileName = value;
                this.OnPropertyChanged("PdfFileName");
            }
        }
    }
}